XtraDB storage engine release 1.0.3-7

PREVIOUS POST
NEXT POST

Dear Community,

Today we are announcing XtraDB release 7.
This is the last release based on InnoDB plugin version 1.0.3, as you might know Innobase has released 1.0.4.

The release includes following new features:

  • MySQL 5.1.37 as a base release
  • speed hack for buf_flush_insert_sorted_into_flush_list controlled by the new variable innodb_fast_recovery

Fixed bugs:

The builds for RedHat4,5 and Debian are located on http://www.percona.com/mysql/xtradb/5.1.37-7/
The latest source code of XtraDB, including development branch you can find on LaunchPAD.

Please report any bugs found on Bugs in Percona XtraDB Storage Engine for MySQL.
For general questions use our Pecona-discussions group, and for development question Percona-dev group.

For support, commercial and sponsorship inquiries contact Percona

PREVIOUS POST
NEXT POST

Comments

  1. Kostja says

    Aleksandr,
    what’s the point of announcing bug-fixes that are fixed in the main 5.1 by MySQL as well?
    Or the idea is that you applied InnoDB patches from 5.1.37 to 5.1.35 but excluded the rest of 5.1.37 MySQL patches?
    Thank you for information,
    Kostja

  2. Vadim says

    Kostja,

    The point here is that we port important fixes from InnoDB in 5.1.37 to InnoDB-plugin.
    We can’t just port all bugfixes, and we hope it will be done by InnoDB team.

  3. jason says

    How come when I try to do a rpm upgrade of the XtraDB package I get a conflicting message? Is there a way to do it without uninstalling and reinstalling? (Does uninstalling and reinstalling disrupt mysql on the server? aka shuts it down)

    Thanks

    root@my [~/percona/5.1.37-7]# rpm -U Percona-XtraDB-1.0.3-7-5.1.37-7.rhel5.x86_64.rpm
    file /usr/lib64/mysql/plugin/ha_innodb.so.0.0.0 from install of Percona-XtraDB-1.0.3-7-5.1.37-7.rhel5.x86_64 conflicts with file from package Percona-XtraDB-1.0.3-5-5.1.34-5.rhel5.x86_64
    file /usr/lib64/mysql/plugin/install_innodb_plugins.sql from install of Percona-XtraDB-1.0.3-7-5.1.37-7.rhel5.x86_64 conflicts with file from package Percona-XtraDB-1.0.3-5-5.1.34-5.rhel5.x86_64

Leave a Reply

Your email address will not be published. Required fields are marked *